object ScalaDemo{
  def main(args: Array[String]): Unit = {
    //定义一个列表
    val list = (1 to 5).toList
    //通过iterator()方法遍历列表
    val it:Iterator[Int] = list.iterator
    while(it.hasNext){//判断是否存在下一个元素
      val ele = it.next();//获取元素
      println(ele)
    }
    println("-----------------------")
    list.foreach(println(_))
  }
}